Skip to main content
PATCH
/
task-templates
/
{id}
Update a task template
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/task-templates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "budgetHours": 123,
  "notes": "<string>",
  "isBillable": true,
  "tagIds": [
    "<string>"
  ]
}
'
{
  "id": "87df3b93-c5bc-4424-91ca-44d219eb8968",
  "name": "Consulting Meetings",
  "budgetHours": 40,
  "notes": "Standard consulting engagement setup tasks",
  "isBillable": true,
  "createdAt": "2025-11-20T16:09:46.218Z",
  "tags": [
    {
      "id": "791c3dc6-9f13-46d5-b9f2-3368fb70624e",
      "name": "Set-up"
    }
  ]
}
A reusable task definition that can be quickly added to projects.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The task template uuid

Body

application/json
name
string

The name of the task template.

budgetHours
number | null

The budget hours of the task template.

notes
string | null

Notes for the task template.

isBillable
boolean

Whether the task template is billable.

tagIds
string[]

The IDs of the task tags to associate with this task template.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the task template.

budgetHours
number | null

The budget hours of the task template.

notes
string | null

Notes for the task template.

isBillable
boolean

Whether the task template is billable.

createdAt
string<date-time>

The timestamp when the object was created.

tags
object[]

The tags associated with the task template.